pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E066 : Short_Integer; pragma Import (Ada, E066, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E040 : Short_Integer; pragma Import (Ada, E040, "ada__containers_E");
   E061 : Short_Integer; pragma Import (Ada, E061, "ada__io_exceptions_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "ada__strings__maps_E");
   E100 : Short_Integer; pragma Import (Ada, E100, "ada__strings__maps__constants_E");
   E045 : Short_Integer; pragma Import (Ada, E045, "interfaces__c_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E077 : Short_Integer; pragma Import (Ada, E077, "system__object_reader_E");
   E052 : Short_Integer; pragma Import (Ada, E052, "system__dwarf_lines_E");
   E093 : Short_Integer; pragma Import (Ada, E093, "system__soft_links__initialize_E");
   E039 : Short_Integer; pragma Import (Ada, E039, "system__traceback__symbolic_E");
   E334 : Short_Integer; pragma Import (Ada, E334, "ada__assertions_E");
   E161 : Short_Integer; pragma Import (Ada, E161, "ada__numerics_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "ada__strings__utf_encoding_E");
   E146 : Short_Integer; pragma Import (Ada, E146, "gnat_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "interfaces__c__strings_E");
   E263 : Short_Integer; pragma Import (Ada, E263, "system__task_info_E");
   E257 : Short_Integer; pragma Import (Ada, E257, "system__task_primitives__operations_E");
   E112 : Short_Integer; pragma Import (Ada, E112, "ada__tags_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "ada__strings__text_buffers_E");
   E102 : Short_Integer; pragma Import (Ada, E102, "ada__streams_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "system__file_control_block_E");
   E134 : Short_Integer; pragma Import (Ada, E134, "system__finalization_root_E");
   E132 : Short_Integer; pragma Import (Ada, E132, "ada__finalization_E");
   E194 : Short_Integer; pragma Import (Ada, E194, "system__file_io_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "system__storage_pools_E");
   E180 : Short_Integer; pragma Import (Ada, E180, "system__finalization_masters_E");
   E220 : Short_Integer; pragma Import (Ada, E220, "system__storage_pools__subpools_E");
   E127 : Short_Integer; pragma Import (Ada, E127, "ada__strings__unbounded_E");
   E215 : Short_Integer; pragma Import (Ada, E215, "system__regpat_E");
   E151 : Short_Integer; pragma Import (Ada, E151, "ada__calendar_E");
   E228 : Short_Integer; pragma Import (Ada, E228, "ada__calendar__delays_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "ada__calendar__time_zones_E");
   E190 : Short_Integer; pragma Import (Ada, E190, "ada__text_io_E");
   E148 : Short_Integer; pragma Import (Ada, E148, "gnat__calendar_E");
   E188 : Short_Integer; pragma Import (Ada, E188, "gnat__calendar__time_io_E");
   E349 : Short_Integer; pragma Import (Ada, E349, "gnat__directory_operations_E");
   E322 : Short_Integer; pragma Import (Ada, E322, "system__checked_pools_E");
   E313 : Short_Integer; pragma Import (Ada, E313, "gnat__debug_pools_E");
   E182 : Short_Integer; pragma Import (Ada, E182, "system__pool_global_E");
   E210 : Short_Integer; pragma Import (Ada, E210, "gnat__expect_E");
   E373 : Short_Integer; pragma Import (Ada, E373, "system__random_seed_E");
   E360 : Short_Integer; pragma Import (Ada, E360, "system__regexp_E");
   E353 : Short_Integer; pragma Import (Ada, E353, "ada__directories_E");
   E277 : Short_Integer; pragma Import (Ada, E277, "system__tasking__initialization_E");
   E287 : Short_Integer; pragma Import (Ada, E287, "system__tasking__protected_objects_E");
   E289 : Short_Integer; pragma Import (Ada, E289, "system__tasking__protected_objects__entries_E");
   E285 : Short_Integer; pragma Import (Ada, E285, "system__tasking__queuing_E");
   E169 : Short_Integer; pragma Import (Ada, E169, "gnatcoll__atomic_E");
   E311 : Short_Integer; pragma Import (Ada, E311, "gnatcoll__memory_E");
   E247 : Short_Integer; pragma Import (Ada, E247, "gnatcoll__plugins_E");
   E173 : Short_Integer; pragma Import (Ada, E173, "gnatcoll__storage_pools__headers_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "gnatcoll__refcount_E");
   E208 : Short_Integer; pragma Import (Ada, E208, "gnatcoll__string_builders_E");
   E305 : Short_Integer; pragma Import (Ada, E305, "gnatcoll__strings_impl_E");
   E303 : Short_Integer; pragma Import (Ada, E303, "gnatcoll__strings_E");
   E302 : Short_Integer; pragma Import (Ada, E302, "gnatcoll__strings_E");
   E324 : Short_Integer; pragma Import (Ada, E324, "gnatcoll__mmap_E");
   E326 : Short_Integer; pragma Import (Ada, E326, "gnatcoll__mmap__system_E");
   E328 : Short_Integer; pragma Import (Ada, E328, "gnatcoll__templates_E");
   E330 : Short_Integer; pragma Import (Ada, E330, "gnatcoll__terminal_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "gnatcoll__utils_E");
   E184 : Short_Integer; pragma Import (Ada, E184, "gnatcoll__sql_impl_E");
   E166 : Short_Integer; pragma Import (Ada, E166, "gnatcoll__sql_E");
   E344 : Short_Integer; pragma Import (Ada, E344, "gnatcoll__io_E");
   E362 : Short_Integer; pragma Import (Ada, E362, "gnatcoll__path_E");
   E351 : Short_Integer; pragma Import (Ada, E351, "gnatcoll__io__native_E");
   E365 : Short_Integer; pragma Import (Ada, E365, "gnatcoll__remote_E");
   E369 : Short_Integer; pragma Import (Ada, E369, "gnatcoll__remote__db_E");
   E347 : Short_Integer; pragma Import (Ada, E347, "gnatcoll__io__remote_E");
   E364 : Short_Integer; pragma Import (Ada, E364, "gnatcoll__io__remote__unix_E");
   E367 : Short_Integer; pragma Import (Ada, E367, "gnatcoll__io__remote__windows_E");
   E338 : Short_Integer; pragma Import (Ada, E338, "gnatcoll__vfs_E");
   E307 : Short_Integer; pragma Import (Ada, E307, "gnatcoll__traces_E");
   E243 : Short_Integer; pragma Import (Ada, E243, "gnatcoll__sql__exec_E");
   E249 : Short_Integer; pragma Import (Ada, E249, "gnatcoll__sql__exec__tasking_E");
   E293 : Short_Integer; pragma Import (Ada, E293, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E249 := E249 - 1;
         if E249 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E243 := E243 - 1;
         if E243 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E243 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E307 := E307 - 1;
         if E307 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E307 = 0 then
            F8;
         end if;
      end;
      E338 := E338 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E338 = 0 then
            F9;
         end if;
      end;
      E347 := E347 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E347 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E365 := E365 - 1;
         if E365 = 0 then
            F11;
         end if;
      end;
      E351 := E351 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E351 = 0 then
            F12;
         end if;
      end;
      E344 := E344 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E344 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E166 := E166 - 1;
         if E166 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E166 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E184 := E184 - 1;
         if E184 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E184 = 0 then
            F17;
         end if;
      end;
      E330 := E330 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E330 = 0 then
            F18;
         end if;
      end;
      E171 := E171 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__refcount__finalize_spec");
      begin
         if E171 = 0 then
            F19;
         end if;
      end;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__memory__finalize_body");
      begin
         E311 := E311 - 1;
         if E311 = 0 then
            F20;
         end if;
      end;
      E289 := E289 - 1;
      declare
         procedure F21;
         pragma Import (Ada, F21, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E289 = 0 then
            F21;
         end if;
      end;
      declare
         procedure F22;
         pragma Import (Ada, F22, "ada__directories__finalize_body");
      begin
         E353 := E353 - 1;
         if E353 = 0 then
            F22;
         end if;
      end;
      declare
         procedure F23;
         pragma Import (Ada, F23, "ada__directories__finalize_spec");
      begin
         if E353 = 0 then
            F23;
         end if;
      end;
      E360 := E360 - 1;
      declare
         procedure F24;
         pragma Import (Ada, F24, "system__regexp__finalize_spec");
      begin
         if E360 = 0 then
            F24;
         end if;
      end;
      E210 := E210 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "gnat__expect__finalize_spec");
      begin
         if E210 = 0 then
            F25;
         end if;
      end;
      E182 := E182 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "system__pool_global__finalize_spec");
      begin
         if E182 = 0 then
            F26;
         end if;
      end;
      declare
         procedure F27;
         pragma Import (Ada, F27, "gnat__debug_pools__finalize_body");
      begin
         E313 := E313 - 1;
         if E313 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_spec");
      begin
         if E313 = 0 then
            F28;
         end if;
      end;
      E190 := E190 - 1;
      declare
         procedure F29;
         pragma Import (Ada, F29, "ada__text_io__finalize_spec");
      begin
         if E190 = 0 then
            F29;
         end if;
      end;
      E127 := E127 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__strings__unbounded__finalize_spec");
      begin
         if E127 = 0 then
            F30;
         end if;
      end;
      E220 := E220 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "system__storage_pools__subpools__finalize_spec");
      begin
         if E220 = 0 then
            F31;
         end if;
      end;
      E180 := E180 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__finalization_masters__finalize_spec");
      begin
         if E180 = 0 then
            F32;
         end if;
      end;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__file_io__finalize_body");
      begin
         E194 := E194 - 1;
         if E194 = 0 then
            F33;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, True, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, True, False, False, 
           True, False, True, False, True, True, False, True, 
           False, True, False, False, False, True, False, True, 
           False, False, True, False, False, False, False, False, 
           False, True, True, True, False, False, True, False, 
           True, True, True, False, True, True, False, True, 
           True, True, True, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E040 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E040 := E040 + 1;
      if E061 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E061 := E061 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E097 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E097 := E097 + 1;
      if E100 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E100 := E100 + 1;
      if E045 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E045 := E045 + 1;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E077 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E077 := E077 + 1;
      if E052 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E052 := E052 + 1;
      if E066 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E066 := E066 + 1;
      if E093 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E093 := E093 + 1;
      E019 := E019 + 1;
      if E039 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E039 := E039 + 1;
      E023 := E023 + 1;
      if E334 = 0 then
         Ada.Assertions'Elab_Spec;
      end if;
      E334 := E334 + 1;
      if E161 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E161 := E161 + 1;
      if E106 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E106 := E106 + 1;
      if E146 = 0 then
         Gnat'Elab_Spec;
      end if;
      E146 := E146 + 1;
      if E205 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E205 := E205 + 1;
      if E263 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E263 := E263 + 1;
      if E257 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E257 := E257 + 1;
      if E112 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E112 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E112 := E112 + 1;
      if E104 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E104 := E104 + 1;
      if E102 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E102 := E102 + 1;
      if E195 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E195 := E195 + 1;
      if E134 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E134 := E134 + 1;
      if E132 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E132 := E132 + 1;
      if E194 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E194 := E194 + 1;
      if E178 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E178 := E178 + 1;
      if E180 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E180 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E180 := E180 + 1;
      if E220 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E220 := E220 + 1;
      if E127 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E127 := E127 + 1;
      if E215 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E215 := E215 + 1;
      if E151 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E151 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E151 := E151 + 1;
      if E228 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E228 := E228 + 1;
      if E157 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E157 := E157 + 1;
      if E190 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E190 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E190 := E190 + 1;
      if E148 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E148 := E148 + 1;
      if E188 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E188 := E188 + 1;
      if E349 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E349 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E349 := E349 + 1;
      if E322 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E322 := E322 + 1;
      if E313 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E313 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E313 := E313 + 1;
      if E182 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E182 := E182 + 1;
      if E210 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E210 := E210 + 1;
      if E373 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E373 := E373 + 1;
      if E360 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E360 := E360 + 1;
      if E353 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E353 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E353 := E353 + 1;
      if E277 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E277 := E277 + 1;
      if E287 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E287 := E287 + 1;
      if E289 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E289 := E289 + 1;
      if E285 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E285 := E285 + 1;
      E169 := E169 + 1;
      if E311 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E311 := E311 + 1;
      E247 := E247 + 1;
      E173 := E173 + 1;
      if E171 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E171 := E171 + 1;
      E208 := E208 + 1;
      E305 := E305 + 1;
      if E303 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E303 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E303 := E303 + 1;
      if E324 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E326 := E326 + 1;
      E324 := E324 + 1;
      if E328 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E328 := E328 + 1;
      if E330 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E330 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E330 := E330 + 1;
      E199 := E199 + 1;
      if E184 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E184 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E184 := E184 + 1;
      if E166 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E166 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E166 := E166 + 1;
      if E344 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E344 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E344 := E344 + 1;
      if E362 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E362 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E362 := E362 + 1;
      if E351 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E351 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E351 := E351 + 1;
      if E365 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E365 := E365 + 1;
      if E369 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E369 := E369 + 1;
      if E347 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E364 := E364 + 1;
      E367 := E367 + 1;
      if E347 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E347 := E347 + 1;
      if E338 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E338 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E338 := E338 + 1;
      if E307 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E307 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E307 := E307 + 1;
      if E243 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E293 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E293 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E293 := E293 + 1;
      if E243 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E243 := E243 + 1;
      if E249 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E249 := E249 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-21.0.0/stage/usr/lib/gnatcoll_sql/
   --   -L/usr/lib/gpr/relocatable/gpr/
   --   -L/usr/lib/xmlada/
   --   -L/usr/lib/gnatcoll/
   --   -L/usr/lib/gcc/i686-redhat-linux/12/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
